Skip to main content
GET
/
api
/
dashboard
/
stats
/
odd
/
detail
getOddForDashboard
curl --request GET \
  --url https://api.artemis.cynopsis.co/api/dashboard/stats/odd/detail \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Domain-ID: <x-domain-id>'
import requests

url = "https://api.artemis.cynopsis.co/api/dashboard/stats/odd/detail"

headers = {
"X-Domain-ID": "<x-domain-id>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-Domain-ID': '<x-domain-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.artemis.cynopsis.co/api/dashboard/stats/odd/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "customer": {
        "active": true,
        "assignees": [
          {
            "email": "<string>",
            "firstName": "<string>",
            "fullName": "<string>",
            "id": 123,
            "lastName": "<string>"
          }
        ],
        "createdAt": {
          "date": 123,
          "day": 123,
          "hours": 123,
          "minutes": 123,
          "month": 123,
          "nanos": 123,
          "seconds": 123,
          "time": 123,
          "timezoneOffset": 123,
          "year": 123
        },
        "createdBy": {
          "email": "<string>",
          "firstName": "<string>",
          "fullName": "<string>",
          "id": 123,
          "lastName": "<string>"
        },
        "forms": {},
        "id": 123,
        "lastRiskAssessment": "2023-11-07T05:31:56Z",
        "listRoleAsText": [
          "<string>"
        ],
        "notes": {},
        "other": {},
        "parentId": 123,
        "particular": {},
        "profileId": 123,
        "profileReferenceId": "<string>",
        "referenceId": "<string>",
        "roles": [
          {
            "appointedDate": "2023-12-25",
            "createdAt": {
              "date": 123,
              "day": 123,
              "hours": 123,
              "minutes": 123,
              "month": 123,
              "nanos": 123,
              "seconds": 123,
              "time": 123,
              "timezoneOffset": 123,
              "year": 123
            },
            "createdBy": {
              "email": "<string>",
              "firstName": "<string>",
              "fullName": "<string>",
              "id": 123,
              "lastName": "<string>"
            },
            "id": 123,
            "resignedDate": "2023-12-25",
            "role": "<string>",
            "updatedAt": {
              "date": 123,
              "day": 123,
              "hours": 123,
              "minutes": 123,
              "month": 123,
              "nanos": 123,
              "seconds": 123,
              "time": 123,
              "timezoneOffset": 123,
              "year": 123
            },
            "updatedBy": {
              "email": "<string>",
              "firstName": "<string>",
              "fullName": "<string>",
              "id": 123,
              "lastName": "<string>"
            }
          }
        ],
        "updatedAt": {
          "date": 123,
          "day": 123,
          "hours": 123,
          "minutes": 123,
          "month": 123,
          "nanos": 123,
          "seconds": 123,
          "time": 123,
          "timezoneOffset": 123,
          "year": 123
        },
        "updatedBy": {
          "email": "<string>",
          "firstName": "<string>",
          "fullName": "<string>",
          "id": 123,
          "lastName": "<string>"
        },
        "vendorEntityGuid": "<string>",
        "vendorName": "<string>"
      },
      "parentCustomer": {
        "active": true,
        "assignees": [
          {
            "email": "<string>",
            "firstName": "<string>",
            "fullName": "<string>",
            "id": 123,
            "lastName": "<string>"
          }
        ],
        "createdAt": {
          "date": 123,
          "day": 123,
          "hours": 123,
          "minutes": 123,
          "month": 123,
          "nanos": 123,
          "seconds": 123,
          "time": 123,
          "timezoneOffset": 123,
          "year": 123
        },
        "createdBy": {
          "email": "<string>",
          "firstName": "<string>",
          "fullName": "<string>",
          "id": 123,
          "lastName": "<string>"
        },
        "forms": {},
        "id": 123,
        "lastRiskAssessment": "2023-11-07T05:31:56Z",
        "listRoleAsText": [
          "<string>"
        ],
        "notes": {},
        "other": {},
        "parentId": 123,
        "particular": {},
        "profileId": 123,
        "profileReferenceId": "<string>",
        "referenceId": "<string>",
        "roles": [
          {
            "appointedDate": "2023-12-25",
            "createdAt": {
              "date": 123,
              "day": 123,
              "hours": 123,
              "minutes": 123,
              "month": 123,
              "nanos": 123,
              "seconds": 123,
              "time": 123,
              "timezoneOffset": 123,
              "year": 123
            },
            "createdBy": {
              "email": "<string>",
              "firstName": "<string>",
              "fullName": "<string>",
              "id": 123,
              "lastName": "<string>"
            },
            "id": 123,
            "resignedDate": "2023-12-25",
            "role": "<string>",
            "updatedAt": {
              "date": 123,
              "day": 123,
              "hours": 123,
              "minutes": 123,
              "month": 123,
              "nanos": 123,
              "seconds": 123,
              "time": 123,
              "timezoneOffset": 123,
              "year": 123
            },
            "updatedBy": {
              "email": "<string>",
              "firstName": "<string>",
              "fullName": "<string>",
              "id": 123,
              "lastName": "<string>"
            }
          }
        ],
        "updatedAt": {
          "date": 123,
          "day": 123,
          "hours": 123,
          "minutes": 123,
          "month": 123,
          "nanos": 123,
          "seconds": 123,
          "time": 123,
          "timezoneOffset": 123,
          "year": 123
        },
        "updatedBy": {
          "email": "<string>",
          "firstName": "<string>",
          "fullName": "<string>",
          "id": 123,
          "lastName": "<string>"
        },
        "vendorEntityGuid": "<string>",
        "vendorName": "<string>"
      },
      "screening": {
        "additionalInformation": {
          "djMonitoringCaseId": "<string>",
          "djMonitoringTxId": "<string>",
          "faceCompareDocumentId": "<string>",
          "faceCompareSelfieId": "<string>",
          "ocrDocumentId": "<string>"
        },
        "createdAt": {
          "date": 123,
          "day": 123,
          "hours": 123,
          "minutes": 123,
          "month": 123,
          "nanos": 123,
          "seconds": 123,
          "time": 123,
          "timezoneOffset": 123,
          "year": 123
        },
        "createdBy": {
          "email": "<string>",
          "firstName": "<string>",
          "fullName": "<string>",
          "id": 123,
          "lastName": "<string>"
        },
        "facInformation": {
          "faceCompareDocumentId": 123,
          "faceCompareSelfieId": 123
        },
        "hasHit": true,
        "id": 123,
        "isPeriodic": true,
        "ocrInformation": {
          "ocrDocumentId": 123
        },
        "profileId": 123,
        "quickscanName": "<string>",
        "remarks": [
          "<string>"
        ],
        "screenedWith": [],
        "screeningConclusion": [],
        "status": {
          "createdAt": {
            "date": 123,
            "day": 123,
            "hours": 123,
            "minutes": 123,
            "month": 123,
            "nanos": 123,
            "seconds": 123,
            "time": 123,
            "timezoneOffset": 123,
            "year": 123
          },
          "createdBy": {
            "email": "<string>",
            "firstName": "<string>",
            "fullName": "<string>",
            "id": 123,
            "lastName": "<string>"
          },
          "id": 123,
          "profileId": 123,
          "screeningId": 123,
          "status": {},
          "updatedAt": {
            "date": 123,
            "day": 123,
            "hours": 123,
            "minutes": 123,
            "month": 123,
            "nanos": 123,
            "seconds": 123,
            "time": 123,
            "timezoneOffset": 123,
            "year": 123
          },
          "updatedBy": {
            "email": "<string>",
            "firstName": "<string>",
            "fullName": "<string>",
            "id": 123,
            "lastName": "<string>"
          }
        },
        "updatedAt": {
          "date": 123,
          "day": 123,
          "hours": 123,
          "minutes": 123,
          "month": 123,
          "nanos": 123,
          "seconds": 123,
          "time": 123,
          "timezoneOffset": 123,
          "year": 123
        },
        "updatedBy": {
          "email": "<string>",
          "firstName": "<string>",
          "fullName": "<string>",
          "id": 123,
          "lastName": "<string>"
        },
        "valid": true
      }
    }
  ],
  "nextToken": "<string>",
  "total": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Domain-ID
integer<int64>
required

X-Domain-ID

Query Parameters

authority
string
claims
object
domains[0].id
integer<int64>
domains[0].name
string
email
string
endDate
string<date>

endDate

headers
object
nextToken
string

nextToken

pageSize
integer<int32>
default:10

pageSize

scopes
string
startDate
string<date>

startDate

tokenValue
string
userId
string

Response

OK

items
CustomerScreeningSummaryResponseDto · object[]
nextToken
string
total
integer<int64>